# Uses of Interface
org.eclipse.birt.report.engine.api.script.element.ILabel

Packages that use ILabel
Package
Description
org.eclipse.birt.report.engine.api.script.element
Report element representations in the BIRT scripting environment.
org.eclipse.birt.report.engine.api.script.eventadapter
This package contains adapters for the event handler interfaces in org.eclipse.birt.report.engine.api.script.eventhandler.
org.eclipse.birt.report.engine.api.script.eventhandler
This package contains event handler interfaces for the BIRT scripting environment.

## Uses of ILabel in org.eclipse.birt.report.engine.api.script.element

Methods in org.eclipse.birt.report.engine.api.script.element that return ILabel
Modifier and Type
Method
Description
`ILabel`
IReportDesign.`getLabel(String name)`
method to get a label item by name

## Uses of ILabel in org.eclipse.birt.report.engine.api.script.eventadapter

Methods in org.eclipse.birt.report.engine.api.script.eventadapter with parameters of type ILabel
Modifier and Type
Method
Description
`void`
LabelEventAdapter.`onPrepare(ILabel labelHandle, IReportContext reportContext)`

## Uses of ILabel in org.eclipse.birt.report.engine.api.script.eventhandler

Methods in org.eclipse.birt.report.engine.api.script.eventhandler with parameters of type ILabel
Modifier and Type
Method
Description
`void`
ILabelEventHandler.`onPrepare(ILabel labelHandle, IReportContext reportContext)`
Handle the onPrepare event